%define initdir /etc/rc.d/init.d
%define divert 0
%define eicon 0
%define act 0

Summary: Utilities for configuring an ISDN subsystem.
Name: isdn4k-utils
Version: 3.1
Release: 76
License: GPL
Group: Applications/System

Source0: ftp://ftp.isdn4linux.de/pub/isdn4linux/utils/isdn4k-utils-0205080200-patch.tar.bz2
Source1: http://www.compound.se/download/ibod-1.4-src.tar.gz
Source2: isdn.init
Source3: userisdnctl.c
Source4: isdnup
Source5: kernel-header-2.4-1.tar.bz2

Patch0: isdn4k-utils-0205080200-redhat.patch
Patch1: isdn4k-utils-0205080200-gcc31.patch
Patch2: ibod-config.patch
Patch3: isdn4k-utils-man.patch
Patch4: isdn4k-utils-autoconf25x.patch
Patch5: isdn4k-utils-0202131200-true.patch
Patch6: isdn4k-utils-fPiC.patch
Patch7: isdn4k-utils-cleanup.patch

# workaround for building in 8.0 tree
Patch10: isdn4k-utils-buildroot.patch
Patch11: isdn4k-utils-libtool.patch

# fix build with gcc 3.3.  don't print the obsolete options in usage
Patch12: isdn4k-utils-gcc33.patch

BuildRoot: %{_tmppath}/%name-root

Requires: initscripts >= 5.92

BuildPrereq: openjade
BuildPrereq: linuxdoc-tools
BuildPrereq: /usr/bin/sgml2txt
BuildPrereq: /usr/bin/sgml2html
BuildPrereq: XFree86-devel
BuildPrereq: ncurses-devel
BuildPrereq: tcl-devel

Prereq: /sbin/chkconfig
Prereq: /sbin/ldconfig
Prereq: /bin/ln
Prereq: sh-utils

Obsoletes: isdn-config
Obsoletes: internet-config

ExcludeArch: s390 s390x

Conflicts: redhat-config-network <= 1.1.5

%description
The isdn4k-utils package contains a collection of utilities needed for
configuring an ISDN subsystem.

%package devel
Summary: Static library and header files for capi development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The isdn4k-utils-devel package contains the capi static library and header files
required to develop capi applications.

%package vboxgetty
Summary: ISDN voice box (getty).
Group: Applications/Communications
Requires: %{name}, tcl

%description vboxgetty
The vboxgetty package contains vboxgetty and vboxputty, needed for an
ISDN voice box.

%package -n xisdnload
Version: 1.38
Summary: An ISDN connection load average display for the X Window System.
Group: Applications/System
Requires: %{name}

%description -n xisdnload
The xisdnload utility displays a periodically updated histogram of the
load average over your ISDN connection.

%prep
%setup -q -n isdn4k-utils -a 5
%patch0 -p1 -b .redhat
%patch1 -p1 -b .gcc31

mkdir -p ibod
pushd ibod
tar zxf %{SOURCE1}
%patch2 -p1 -b .ibod
popd

%patch3 -p1 -b .man
%patch4 -p1 -b .ac25x
%patch5 -p1 -b .true
%patch6 -p1 -b .fpic
%patch7 -p0 -b .cleanup
%patch10 -p1 -b .buildroot
%patch11 -p1 -b .libtool
%patch12 -p1 -b .gcc33

for i in */configure; do
	cd `dirname $i`
	autoreconf --force --install
	cd ..
done

%build
export PATH=$PATH:/usr/X11R6/bin

cp .config.rpm .config

%ifnarch sparc
echo CONFIG_GENMAN=y >>.config 
echo CONFIG_FAQ=y >>.config 
echo "CONFIG_FAQDIR='/usr/share/doc/isdn4k-utils'" >>.config 
echo "CONFIG_DATADIR='%{_libdir}/isdn'" >>.config
echo "LIBDIR='%{_libdir}'" >>.config
%endif

( cd %{_builddir}/isdn4k-utils/linux-2.4 && ln -s /usr/include . )

# workaround for automake/autoconf
if [ -x /usr/share/automake/depcomp ] ; then
  for i in capiinfo capiinit rcapid capifax; do
    cp -f /usr/share/automake/depcomp $i
    ( cd $i ; aclocal && autoconf )
  done
fi

# we need it on ia64 machine
( cd capi20; [ -f configure.in ] && libtoolize --copy --force )
( cd vbox; aclocal && autoconf )

make subconfig
make

# build ibod
(cd ibod && gcc $RPM_OPT_FLAGS ibod.c -o ibod)

# build userisdnctl
cp %{SOURCE3} isdnctrl
(cd isdnctrl && gcc $RPM_OPT_FLAGS userisdnctl.c -o userisdnctl)

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,ppp,isdn}
mkdir -p $RPM_BUILD_ROOT/var/{log/vbox,spool/vbox,lock/isdn}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{sbin,X11R6/bin,bin}

chmod 1777 $RPM_BUILD_ROOT/var/spool/vbox
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 ibod/ibod.1 $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
install -m 644 ibod/ibod.cf.4 $RPM_BUILD_ROOT%{_mandir}/man4/
install -m 644 ibod/ibod.cf $RPM_BUILD_ROOT/etc/isdn/
install -m 755 ibod/ibod $RPM_BUILD_ROOT/usr/sbin/

mv -fv $RPM_BUILD_ROOT%{_bindir}/x* $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
mv -fv $RPM_BUILD_ROOT%{_mandir}/man1/x* $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/

touch $RPM_BUILD_ROOT/etc/ppp/ioptions

if [ -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new ] ; then
  mv -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new $RPM_BUILD_ROOT/etc/isdn/isdn.conf
fi

# build some more documentation
%ifnarch sparc
pushd FAQ/tutorial ; {
    sgml2txt EN-i4l.sgml
    sgml2html EN-i4l.sgml
} ; popd
%endif

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/vboxbeep \
           $RPM_BUILD_ROOT%{_sbindir}/isdnctrl

# copy config files for isdnlog
mkdir -p $RPM_BUILD_ROOT%{_libdir}/isdn
cp -f isdnlog/*.dat $RPM_BUILD_ROOT%{_libdir}/isdn/
chmod 644 $RPM_BUILD_ROOT%{_libdir}/isdn/*.dat

# delete files to avoid conflicts
rm -f $RPM_BUILD_ROOT/etc/isdn/stop
rm -f $RPM_BUILD_ROOT/usr/bin/cdb*
rm -f $RPM_BUILD_ROOT/usr/include/freecdb.h
rm -f $RPM_BUILD_ROOT/usr/include/freecdbmake.h
rm -f $RPM_BUILD_ROOT/usr/lib/libfreecdb.a
rm -f $RPM_BUILD_ROOT/usr/lib/libfreecdbmake.a
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/cdb*
rm -rf $RPM_BUILD_ROOT/usr/share/man/man3

# install isdn startup script
mkdir -p $RPM_BUILD_ROOT%{initdir}
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{initdir}/isdn

# move some binaries into /sbin
mkdir -p $RPM_BUILD_ROOT/sbin
pushd $RPM_BUILD_ROOT%{_sbindir}/
for i in * ; do
  case $i in
    imon|rcapid|vboxgetty|vboxputty|imontty) continue ;;
    *) mv $i $RPM_BUILD_ROOT/sbin && ln -fs ../../sbin/$i .
  esac
done
popd

# install userisdnctl,isdnup
install -m 755 isdnctrl/userisdnctl $RPM_BUILD_ROOT%{_sbindir}/
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/

mv $RPM_BUILD_ROOT%{_mandir}/man8/.isdnctrl_conf.8 \
   $RPM_BUILD_ROOT%{_mandir}/man8/isdnctrl_conf.8

rm -rf $RPM_BUILD_ROOT%{_docdir}/isdn4k-utils \
       $RPM_BUILD_ROOT%{_docdir}/vbox \
       $RPM_BUILD_ROOT/etc/drdsl/adsl.conf \
       $RPM_BUILD_ROOT%{_mandir}/man5/vboxtcl.5*

# move doc file to avoid conflict
cp isdnlog/README isdnlog/README.isdnlog

%post
test -f /dev/isdnctrl || ln -sf isdnctrl0 /dev/isdnctrl
/sbin/ldconfig
/sbin/chkconfig --add isdn
exit 0

%preun
if [ "$1" = "0" ]; then
   /sbin/service isdn stop > /dev/null 2>&1
   /sbin/chkconfig --del isdn
fi
exit 0

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
   /sbin/service isdn condrestart > /dev/null 2>&1
fi
exit 0

%triggerpostun -- %{name} < 3.1-44
PDIR=/etc/sysconfig/provider
DEVPATH=/etc/sysconfig/networking/devices
PROFILEPATH=/etc/sysconfig/networking/profiles/default
NETDEV=ifcfg-
provider=`ls $PDIR/conf-* 2>/dev/null | LANG=C egrep -v '(\.orig|\.save)' | \
          LANG=C egrep -v '(~|\.bak)$'`

function clear_env()
{
    PROVIDER=; USER=; PASSWORD=; ENCAP=; DIALMODE=; SECURE=; MSN=; PHONE_IN=
    PREFIX=; AREACODE=; PHONE_OUT=; CITY=; BUNDLING=; LOCAL_IP=; REMOTE_IP=
    NETWORK=; BROADCAST=; HUPTIMEOUT=; DNS=; ISDN_HOSTNAME=; ISDN_DOMAIN=; L2_PROT=
    L3_PROT=; CALLBACK=; CHARGEHUP=; CHARGEINT=; CBHUP=; CBDELAY=; DIALMAX=
    AUTH=; IHUP=; IP_FORWARD=; SLAVE_DELAY=; SLAVE_TRIGGER=; FIRMWARE=
    VJ=; VJCCOMP=; AC=; PC=; BSDCOMP=; MTU=; MRU=; DRIVERTYPE=
    SLAVE_DIALMODE=; SLAVE_MSN=; SLAVE_PHONE_IN=; SLAVE_PHONE_OUT=
    SLAVE_HUPTIMEOUT=; SLAVE_CALLBACK=; SLAVE_CHARGEHUP=; SLAVE_CHARGEINT=
    SLAVE_CBHUP=; SLAVE_CBDELAY=; SLAVE_DIALMAX=; SLAVE_IHUP=; DELDEFAULTROUTE=
    CBCP=; DIALIN=; SLAVE_DEVICE=; PEERDNS=
}

n=0
for i in $provider ; do
	clear_env
	. $i >/dev/null 2>&1
	[ -n "$BOOT" ] || BOOT=no
	touch $DEVPATH/${NETDEV}${PROVIDER}
	chmod 700 $DEVPATH/${NETDEV}${PROVIDER}
	if [ "$ENCAP" = "syncppp" ]; then
		DEVICE=ippp${n}
	else
		DEVICE=isdn${n}
	fi
	if [ "$BUNDLING" = "yes" -o "$BUNDLING" = "on" ]; then
		if [ "$ENCAP" = "syncppp" ] ; then
			n=$[$n+1]
			SLAVE_DEVICE=ippp${n}
			echo "SLAVE_DEVICE=$SLAVE_DEVICE" >> $DEVPATH/${NETDEV}${PROVIDER}
		fi
	fi
	echo "DEVICE=$DEVICE" >> $DEVPATH/${NETDEV}${PROVIDER}
	if [ "$BOOT" = "on" ] ; then
		echo "ONBOOT=yes" >> $DEVPATH/${NETDEV}${PROVIDER}
	else
		echo "ONBOOT=no" >> $DEVPATH/${NETDEV}${PROVIDER}
	fi
	echo "PROVIDER=$PROVIDER" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "USER=$USER" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "PASSWORD=$PASSWORD" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "ENCAP=$ENCAP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "DIALMODE=$DIALMODE" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "SECURE=$SECURE" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "MSN=$MSN" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "PHONE_IN=$PHONE_IN" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "PREFIX=$PREFIX" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "AREACODE=$AREACODE" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "PHONE_OUT=$PHONE_OUT" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "BUNDLING=$BUNDLING" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "IPADDR=$LOCAL_IP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "GATEWAY=$REMOTE_IP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "HUPTIMEOUT=$HUPTIMEOUT" >> $DEVPATH/${NETDEV}${PROVIDER}
	if [ -z "$DNS" ] ; then
		echo "PEERDNS=yes" >> $DEVPATH/${NETDEV}${PROVIDER}
	else
		l=1
		for j in $DNS ; do
			echo "DNS${l}=$j" >> $DEVPATH/${NETDEV}${PROVIDER}
			l=$[$l+1]
		done
	fi
	echo "NETMASK=$NETMASK" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "DOMAIN=$DOMAIN" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CALLBACK=$CALLBACK" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CHARGEHUP=$CHARGEHUP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CHARGEINT=$CHARGEINT" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CBHUP=$CBHUP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CBDELAY=$CBDELAY" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "DIALMAX=$DIALMAX" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "AUTH=\"$AUTH\"" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "IHUP=$IHUP" >> $DEVPATH/${NETDEV}${PROVIDER}
	if [ "$DELDEFAULTROUTE" = "enabled" ] ; then
		echo "DEFROUTE=yes" >> $DEVPATH/${NETDEV}${PROVIDER}
	else
		echo "DEFROUTE=no" >> $DEVPATH/${NETDEV}${PROVIDER}
	fi
	echo "CBCP=$CBCP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "VJ=$VJ" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "VJCCOMP=$VJCCOMP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "AC=$AC" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "PC=$PC" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "BSDCOMP=$BSDCOMP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "CCP=$CPP" >> $DEVPATH/${NETDEV}${PROVIDER}
	echo "DIALIN=$DIALIN" >> $DEVPATH/${NETDEV}${PROVIDER}
	(cd /etc/sysconfig/network-scripts/ && ln -f ../networking/devices/${NETDEV}${PROVIDER} ${NETDEV}${DEVICE})
	(cd $PROFILEPATH && ln -f ../../devices/${NETDEV}${PROVIDER} .)
	n=$[$n+1]
done

/sbin/chkconfig --del isdn >/dev/null 2>&1 || true
/sbin/chkconfig --add isdn

exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/isdn
%dir /var/spool/vbox
%dir /var/log/vbox
%verify(not md5 size mtime) %config(noreplace) /etc/isdn/*
%verify(not md5 size mtime) %config(noreplace) /etc/ppp/ioptions
%config(noreplace) /etc/ppp/peers/*
%config %{initdir}/isdn
%{_libdir}/pppd
%{_bindir}/*
%{_libdir}/isdn
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_mandir}/man5/callerid.conf.5.gz
%{_mandir}/man5/isdn.conf.5.gz
%{_mandir}/man5/isdnformat.5.gz
%{_mandir}/man5/isdnlog.5.gz
%{_mandir}/man5/isdnlog.users.5.gz
%{_mandir}/man5/rate-files.5.gz
%{_mandir}/man5/vbox.conf.5.gz
%{_mandir}/man5/vbox_file.5.gz
%{_mandir}/man5/vboxd.conf.5.gz
%{_mandir}/man5/vboxrc.5.gz
%{_mandir}/man7/*
%{_mandir}/man8/avmcapictrl.8.gz
%{_mandir}/man8/capiinfo.8.gz
%{_mandir}/man8/capiplugin.8.gz
%{_mandir}/man8/hisaxctrl.8.gz
%{_mandir}/man8/icnctrl.8.gz
%{_mandir}/man8/imon.8.gz
%{_mandir}/man8/imontty.8.gz
%{_mandir}/man8/ipppd.8.gz
%{_mandir}/man8/ipppstats.8.gz
%{_mandir}/man8/iprofd.8.gz
%{_mandir}/man8/isdnctrl.8.gz
%{_mandir}/man8/isdnctrl_conf.8.gz
%{_mandir}/man8/isdnlog.8.gz
%{_mandir}/man8/loopctrl.8.gz
%{_mandir}/man8/pcbitctl.8.gz
%{_mandir}/man8/vboxd.8.gz
%{_mandir}/man8/vboxmail.8.gz

/sbin/*
%if %{act}
%{_sbindir}/actctrl
%endif
%if %{eicon}
%{_sbindir}/eiconctrl
%endif
%{_sbindir}/avmcapictrl
%{_sbindir}/capiinit
%if %{divert}
%{_sbindir}/divertctrl
%endif
%{_sbindir}/hisaxctrl
%{_sbindir}/ibod
%{_sbindir}/icnctrl
%{_sbindir}/imon
%{_sbindir}/imontty
%{_sbindir}/ipppd
%{_sbindir}/ipppstats
%{_sbindir}/iprofd
%{_sbindir}/isdnctrl
%{_sbindir}/isdnlog
%{_sbindir}/loopctrl
%{_sbindir}/mkzonedb
%{_sbindir}/pcbitctl
%{_sbindir}/rcapid
%{_sbindir}/vboxd
%attr(4755,root,root) %{_sbindir}/userisdnctl
%{_sbindir}/isdnup

%doc COPYING README isdnlog/README.*
%doc isdnlog/FAQ
%doc vbox/examples/vbox.conf.example
%doc vbox/examples/vboxd.conf.example
%doc vbox/examples/vboxrc.example
%doc vbox/examples/standard*
%doc vbox/examples/beep.msg*
%doc vbox/examples/timeout*
%lang(de) %doc vbox/doc/de/vbox.sgml vbox/doc/de/vbox.txt
%doc FAQ/tutorial/* FAQ/i4lfaq* Mini-FAQ/ FAQ/_howto/ FAQ/_example/

%files vboxgetty
%defattr(-,root,root)
%{_sbindir}/vboxgetty
%{_sbindir}/vboxputty
%{_mandir}/man5/vboxgetty.conf.5*
%{_mandir}/man8/vboxgetty.8*
%{_mandir}/man8/vboxputty.8*
%doc vbox/examples/vboxgetty*.example

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%files -n xisdnload
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xisdnload
%attr(0755,root,root) %{_prefix}/X11R6/bin/xmonisdn
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_prefix}/X11R6/man/man1/*
%{_prefix}/X11R6/include/X11/bitmaps/*
%doc xmonisdn/README

%changelog
* Mon Aug 11 2003 Than Ngo <than@redhat.com> 3.1-76
- add patch to build isdn4k-utils without kernel-source (bug #101751)
- cleanup (bug #79641)
  
* Mon Aug 11 2003 Than Ngo <than@redhat.com> 3.1-75
- rebuilt

* Mon Aug 11 2003 Than Ngo <than@redhat.com> 3.1-74
- add tcl-devel in buildrequires (bug #102034)

* Mon Jun 30 2003 Than Ngo <than@redhat.com> 3.1-73
- added missing example files (bug #81687)
- move vboxgetty man page in vboxgetty subpackage

* Thu Jun 19 2003 Than Ngo <than@redhat.com> 3.1-71
- get rid of ipppcomp

* Tue Jun 10 2003 Than Ngo <than@redhat.com> 3.1-69
- fix incorrect error messages (bug #96931)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 28 2003 Than Ngo <than@redhat.com> 3.1-66.1
- fix buildrequires problem

* Fri May 23 2003 Than Ngo <than@redhat.com> 3.1-65
- add usage fix

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 3.1-63
- fix build with gcc 3.3

* Mon Feb  3 2003 Than Ngo <than@redhat.com> 3.1-62
- remove excludearch x86_64
- add fPIC patch for x86_64

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 3.1-60
- rebuild to fix broken tcltk deps

* Fri Nov  8 2002 Than Ngo <than@redhat.com> 3.1-59
- fix build problem
- for the present exclude x86_64, it needs kernel-source rpm for building

* Mon Jul 01 2002 Than Ngo <than@redhat.com> 3.1-58
- add userisdnctl, isdnup

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Than Ngo <than@redhat.com> 3.1-56
- don't forcibly strip binaries

* Fri Jun 14 2002 Than Ngo <than@redhat.com> 3.1-55
- fix a bug in pppdcapi plugin for working with pppd-2.4.1 (bug #64279)

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.1-54
- Update
- Fix build with gcc 3.1
- Fix build with current auto* tools

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 3.1-53
- fix bug in loading hisax modul for Card Elsa Quickstep 1000 (bug #62892)

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.1-52
- fix bug in isdnlog (bug #60013)
- fix bug in imon

* Wed Feb 21 2002 Than Ngo <than@redhat.com> 3.1-51
- fix bad memory allocation (enrico.scholz@informatik.tu-chemnitz.de), bug #60179

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.1-50
- new upstream, needed to switch isdnlog to EUR currency for contries that
  have it
- fix installation of pppcapiplugin man page
- don't build against 2.4.5 kernel headers, they're not compatible with
  2.4.17.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 05 2001 Than Ngo <than@redhat.com> 3.1-48
- new upstream
- remove some unused patch files
- move pppcapiplugin to /usr/lib/pppd, The plugin option now looks in here
- devel sub package
- buildreqquires: linuxdoc-tools

* Mon Oct 29 2001 Than Ngo <than@redhat.com> 3.1-47
- fixed symlinks bugs (bug #55306)
- fix a bug in converting of old isdn configuration (bug #55083)
- some hacks for ASUS COM ISDNLink ISA PnP

* Tue Aug 28 2001 Than Ngo <than@redhat.com> 3.1-46
- some hacks for Teles 16.3 PnP
- fix order of isdn script

* Tue Aug 21 2001 Than Ngo <than@redhat.com> 3.1-45
- fix bug #52044

* Wed Aug  8 2001 Than Ngo <than@redhat.com>
- use hardlinks instead softlinks

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- make isdnctrl executable by normal users (Bug #30803)
- fix a minor bug in triggerpostun
- fix rebuild problem in beehive if kernel-source is missed

* Tue Jun 26 2001 Than Ngo <than@redhat.com>
- split package into isdn4k-utils, isdn4k-utils-vboxgetty, xisdnload
- convert old isdn configuration format into new format
- add startup script for loading module and starting isdnlog

* Tue Jun 19 2001 Than Ngo <than@redhat.com>
- buildprereq: XFree86-devel ncurses-devel tcl (Bug #45048)

* Tue Jun 19 2001 Than Ngo <than@redhat.com>
- fix to build against kernel-2.4.5
- fix to build against XFree86-4.1.x
- exclude s390, s390x 

* Mon Feb 12 2001 Than Ngo <than@redhat.com>
- clean up specfile

* Sat Feb 10 2001 Than Ngo <than@redhat.com>
- fixed for building against new glibc
- added missing files: divertctrl, eiconctrl, actctrl

* Thu Feb 08 2001 Than Ngo <than@redhat.com>
- fixed file conflicts

* Wed Feb 07 2001 Than Ngo <than@redhat.com>
- updated ipppd, isdnctrl for working with kernel-2.4
- added missing BuildPrereq

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- rebuild against to fix version mismatch in isdnlog

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 01 2000 Than Ngo <than@redhat.com>
- added ibod, a ISDN MPPP bandwidth on demand daemon

* Thu Aug 3  2000 Than Ngo <than@redhat.de>
- add more documents
- and missing config files to isdnlog
- some fixes in vbox, isdnlog, vboxgetty
- mark ioptions as %config(noreplace)
- add pppdcapiplugin
- add missing /sbin/ldconfig in %post and %postun
- fix to build on ia64 

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- fix to build as nonroot

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- add documents in %doc instead make install doc

* Thu Jun 29 2000 Than Ngo <than@redhat.de>
- add some header files for isdn4k-utils
  (don't need kernel-sources anymore)
- update to v3.1pre1

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- fix dependencies problem with new tcltk
- fix to built with kernel-2.4

* Fri Apr 28 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add /usr/lib/isdn to filelist

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compilation with kernel 2.4.x
- rebuild with new ncurses and Tcl
- enable building of eurofile and divertctl stuff

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- move isdn.init in isdn4k-utils package to isdn-config package

* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added small to fix problem for startup and shuttdown isdn

* Wed Feb 16 2000 Ngo Than <than@redhat.com>
- added small patch for ipppd, it can handle default route

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove execute bit from /etc/ppp/ioptions
- do not create /dev/isdnctrl if it already exists

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove suid-root from /usr/bin/vboxbeep

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- use relative instead of absolute link in postinstall script
- use only one patch-file for the config file
- change from 0700 to 0755 perms
- change Makefiles instead of moving things around in the spec file
- include the manpages of the X11 progs only in the xisdnload rpm

* Tue Feb 03 2000 Ngo Than <than@redhat.de>
- fix pap and chap problem in isdn.init

* Tue Feb 01 2000 Ngo Than <than@redhat.de>
- added new isdn.init for rhisdn.

* Mon Jan 17 2000 Karsten Hopp <karsten@redhat.de>
- uses now configured network and netmask

* Thu Jan 06 2000 Karsten Hopp <karsten@redhat.de>
- Configures DNS if no nameserver entry in resolv.conf
- needed for dial-on-demand

* Mon Jan 03 2000 Karsten Hopp <karsten@redhat.de>
- isdnconfig  moved into separate spec-file

* Tue Dec 21 1999 Karsten Hopp <karsten@redhat.de>
- updated isdn4k-utils
- several bugfixes isdnconfig

* Thu Sep 30 1999 Karsten Hopp <karsten@redhat.de>
- added isdnconfig script and related files

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- bang on init script

* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- fix dangling symlink

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries
- chkconfig --del in %preun, not %postun

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- fix some of the german exclusive language in the init script

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- imported into Red Hat Linux
